/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;

/**
 *
 * @author developer2
 */
@Embeddable
public class TarmsanciondecomisoPK implements Serializable {

    @Basic(optional = false)
    @Column(name = "CDECOMISO")
    private long cdecomiso;
    @Basic(optional = false)
    @Column(name = "CSANCIONDECOMISO")
    private String csanciondecomiso;

    public TarmsanciondecomisoPK() {
    }

    public TarmsanciondecomisoPK(long cdecomiso, String csanciondecomiso) {
        this.cdecomiso = cdecomiso;
        this.csanciondecomiso = csanciondecomiso;
    }

    public long getCdecomiso() {
        return cdecomiso;
    }

    public void setCdecomiso(long cdecomiso) {
        this.cdecomiso = cdecomiso;
    }

    public String getCsanciondecomiso() {
        return csanciondecomiso;
    }

    public void setCsanciondecomiso(String csanciondecomiso) {
        this.csanciondecomiso = csanciondecomiso;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (int) cdecomiso;
        hash += (csanciondecomiso != null ? csanciondecomiso.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof TarmsanciondecomisoPK)) {
            return false;
        }
        TarmsanciondecomisoPK other = (TarmsanciondecomisoPK) object;
        if (this.cdecomiso != other.cdecomiso) {
            return false;
        }
        if ((this.csanciondecomiso == null && other.csanciondecomiso != null) || (this.csanciondecomiso != null && !this.csanciondecomiso.equals(other.csanciondecomiso))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.TarmsanciondecomisoPK[ cdecomiso=" + cdecomiso + ", csanciondecomiso=" + csanciondecomiso + " ]";
    }
    
}
